ALSA project - the C library reference

Data Fields
snd_tplg_ctl_template Struct Reference
Topology Interface

Template type for control objects. More...

`#include <topology.h>`

## Data Fields
int | type
const char * | name
int | access
struct snd_tplg_io_ops_template | ops
union {
struct snd_tplg_tlv_template * snd_tplg_ctl_template::tlv
struct snd_tplg_tlv_dbscale_template * snd_tplg_ctl_template::tlv_scale
}; |

## Detailed Description

Template type for control objects.

The documentation for this struct was generated from the following file:

- /u7/kx/RcL/system/branches/radix-1.9-300/media/alsa-lib/1.2.8/.x86_64-glibc/intel-pc64/alsa-lib-1.2.8/include/topology.h